.grid {
  display: flex;
  margin: -9px;
  
  &--justify-start {
    justify-content: flex-start;
  }
  
  &--justify-center {
    justify-content: center;
  }
  
  &--justify-end {
    justify-content: flex-end;
  }
  
  &--align-start {
    align-items: flex-start;
  }
  
  &--align-center {
    align-items: center;
  }
  
  &--align-end {
    align-items: flex-end;
  }

  &--direction-row {
    flex-direction: row;
  }

  &--direction-row-reveres {
    flex-direction: row-reverse;
  }

  &--direction-column {
    flex-direction: column;
  }

  &--direction-column-reverse {
    flex-direction: column-reverse;
  }

  &--wrap {
    flex-wrap: wrap;
  }

  .column {
    padding: 9px;

    &:empty {
      padding-bottom: 0;
      margin-bottom: 4px;
    }
  }
}